{%load static%}
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

body {
	padding: 0;
	margin: 0;
	font-family: 'Montserrat', sans-serif;
}

section {
	height: 100vh;
	position: relative;
	width: 100%;
}

section::after {
	position: absolute;
	content: '';
	height: 100%;
}

a {
	text-decoration: none;
}

ul,
li {
	display: block;
	padding: 0;
	margin: 0;
}

p {
	padding: 0;
	margin: 0;
	font-size: 24px;
	font-weight: 400;
	line-height: 119%;
}

h3 {
	font-size: 16px;
	margin: 0;
	margin-bottom: 5px;
}

.container {
	width: 1149px;
	margin: 0 auto;
	z-index: 1;
}

.header {
	background: rgba(255, 255, 255, 0.2);
	width: 100%;
	position: fixed;
	transition: 0.3s ease-out;
	z-index: 2;
}

.header_sticky {
	background: #fff;
	padding: 5px 0;
	box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.07);
}

.nav a {
	color: #000;
	transition: text-shadow 0.2s;
}

.nav a:hover {
	text-shadow: 0 0 0.9px #1f1f1f, 0 0 0.9px #1f1f1f, 0 0 0.9px #1f1f1f;
}

.nav a.active {
	text-shadow: 0 0 0.7px #1f1f1f, 0 0 0.7px #1f1f1f, 0 0 0.7px #1f1f1f;
}

.menu {
	display: flex;
}

.menu li {
	margin-right: 33px;
	font-size: 18px;
	font-weight: 400;
}

.logo {
	margin-right: 100px;
	opacity: 1;
	transition: 0.2s ease;
}

.logo:hover {
	opacity: 0.84;
}

.personalCab {
	padding-left: 140px;
	padding-right: 13px;
}

.nav {
	padding: 20px 0;
	display: flex;
	align-items: center;
}

.section1 {
	background: url(templates/resource/backImage.png) no-repeat center top/cover;
}

.offer {
	color: #fff;
	position: absolute;
	z-index: 1;
}

.learn_eng {
	margin: 0;
	font-size: 50px;
	font-weight: 700;
	line-height: 100%;
	padding: 0;
	margin-top: 334px;
	margin-bottom: 23px;
}

.btn {
	display: inline-block;
	width: 343px;
	height: 75px;
	border-radius: 61px;
	margin: 22px 0px;
	font-size: 24px;
	line-height: 75px;
	text-align: center;
	color: #1f1f1f;
	font-weight: 600;
	background: linear-gradient(101.02deg, #42ffdd 8.69%, #6ac0ff 98.48%);
	transition: 0.3s;
}

.btn:hover {
	box-shadow: 0px 6px 35px rgba(66, 255, 221, 0.4);
	transform: translateY(-4px);
}

.courses {
	background: url(resource/фон 2 секция.svg) no-repeat center;
	position: relative;
}

.heading-text h1 {
	color: #000;
	font-size: 50px;
	font-weight: 700;
	margin: 0;
	padding: 0;
	padding-top: 140px;
	margin-bottom: 27px;
}

.heading-text p {
	font-size: 18px;
	line-height: 119%;
	font-weight: normal;
}

.course-cards {
	display: flex;
	margin-top: 71px;
	color: #fff;
	justify-content: space-between;
}

.modal-window {
	display: flex;
}

.modal {
	position: fixed;
	top: 50%;
	left: 50%;
	border-radius: 40px;
	z-index: 10;
	transform: translate(-50%, 0%) scale(0);
	transition: 0.2s ease-in-out;
	background: rgba(255, 255, 255, 0.7);
	width: 600px;
	height: 750px;
	max-width: 80%;
	color: #000;
	font-size: 20px;
	overflow: hidden;
}

.modal.active {
	transform: translate(-50%, -50%) scale(1);
}

.modal-header {
	display: flex;
	padding: 20px 40px;
	justify-content: space-between;
	align-items: center;
	border-bottom: 3px solid #e2e2e2;
}

.modal-header-title {
	font-size: 24px;
	font-weight: bold;
}

.modal-body {
	padding: 30px 40px;
}
.modal-teacher-body {
	display: flex;
	margin-top: 90px;
	flex-direction: column;
}

.modal-avatar-teacher {
	height: 80px;
	width: 80px;
	border-radius: 50%;
	border: solid 2px #e2e2e2;
}

.modal-teacher-body-name-and-avatar {
	display: flex;
}

.modal-teacher-body-name-and-avatar h1 {
	padding-left: 30px;
}

.modal-teacher-body-information {
	margin-top: 30px;
}

.modal-teacher-body-information p {
	font-size: 18px;
}

#overlay {
	position: fixed;
	opacity: 0;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0.48);
	backdrop-filter: blur(8px);
	pointer-events: none;
	transition: 0.2s ease-in-out;
}

#overlay.active {
	opacity: 1;
	pointer-events: all;
	z-index: 9;
	overflow: hidden;
}

.course-cards h2 {
	margin-left: 9px;
}

.course-cards .signup,
.course-cards .detailed {
	border-radius: 13px;
	border: none;
	width: 194px;
	font-size: 18px;
	padding: 11px 42px;
	cursor: pointer;
	transition: all 0.3s;
}

.course-cards .signup:hover,
.course-cards .detailed:hover {
	transform: translateY(-2px);
}

.close-button {
	background: #000;
	width: 23px;
	height: 23px;
	background: none;
	padding: 0;
	cursor: pointer;
	border: none;
	opacity: 0.8;
}

.close-button:hover {
	opacity: 1;
}

.english-for-begginers {
	background: url(resource/английский\ для\ начинающих.png) no-repeat;
	border-radius: 41px;
	display: flex;
	width: 270px;
	height: 362px;
	justify-content: flex-end;
	align-items: center;
	flex-direction: column;
	position: relative;
}

.general-english {
	background: url(resource/общий\ английский.png) no-repeat;
	border-radius: 41px;
	display: flex;
	width: 270px;
	height: 362px;
	justify-content: flex-end;
	align-items: center;
	flex-direction: column;
	position: relative;
}

.general-english h2 {
	width: 261px;
}

.cost {
    color: #eec329;
    margin-bottom: 10px;
    font-weight: 500;
}

.english-for-talking {
	background: url(resource/разговорный\ английский.png) no-repeat;
	border-radius: 41px;
	display: flex;
	width: 270px;
	height: 362px;
	justify-content: flex-end;
	align-items: center;
	flex-direction: column;
	position: relative;
}

.business-english {
	background: url(resource/деловой\ английский.png) no-repeat;
	border-radius: 41px;
	display: flex;
	width: 270px;
	height: 362px;
	justify-content: flex-end;
	align-items: center;
	flex-direction: column;
	position: relative;
}


.signup {
	background: #eec329;
	color: #fff;
	margin-bottom: 10px;
	font-weight: 500;
}

.detailed {
	background: rgba(0, 0, 0, 0.48);
	backdrop-filter: blur(4px);
	color: #bababa;
	font-weight: 300;
	margin-bottom: 29px;
}
/*------------------MODAL WINDOW*/

/*------------------MODAL WINDOW*/

.information-about-school {
	display: flex;
	justify-content: space-between;
	margin-top: 100px;
}

.trip {
	background: url(resource/фоновый\ узор\ слева.svg) no-repeat bottom 5% left,
		url(resource/фоновый\ узор\ справа.svg) no-repeat top 30% right;
	padding-top: 50px;
}

.heading-text-picture-plane {
	display: flex;
}

.heading-text-picture-plane h1 {
	font-size: 50px;
	margin: 0;
	padding: 0;
	padding-top: 50px;
	margin-bottom: 26px;
}

.heading-text-picture-plane p {
	font-size: 20px;
}

.img-airplane {
	margin-left: 192px;
	margin-top: 55px;
}

.text-block-info-learn-english-with-native h2 {
	font-size: 24px;
	font-weight: 500;
	padding: 0;
	margin: 0;
	margin-bottom: 5px;
}

.text-block-info-learn-english-with-native li p {
	font-size: 20px;
	padding-left: 50px;
	position: relative;
	margin-top: 12px;
}

.text-block-info-learn-english-with-native li p::before {
	content: '';
	position: absolute;
	left: 25px;
	width: 15px;
	height: 12px;
	background: url(resource/check\ mark.svg);
	margin-top: 5px;
}

.countries {
	margin-top: 95px;
}

.slides-countries {
	display: flex;
	justify-content: space-between;
	color: #fff;
	height: 200px;
	align-items: end;
	margin-top: 160px;
}

.england {
	background: url(resource/Англия.png);
}

.singapore {
	background: url(resource/Сингапур.png);
}

.canada {
	background: url(resource/Канада.png);
}

.australia {
	background: url(resource/Австралия.png);
}

.slide {
	border-radius: 20px;
	display: flex;
	height: 300px;
	width: 100%;
	cursor: pointer;
	flex: 1;
	position: relative;
	padding: 10px 20px;
	margin: 10px;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	transition: all 500ms ease-in-out;
}

.slide::after {
	position: absolute;
	content: '';
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.2);
	left: 0px;
	border-radius: 20px;
	top: 0px;
}

.slide h3 {
	position: absolute;
	font-size: 24px;
	top: 20px;
	left: 20px;
	margin: 0;
	opacity: 1;
	z-index: 1;
}
.slide p {
	position: absolute;
	padding: 0;
	margin: 0;
	opacity: 1;
	font-size: 18px;
	left: 20px;
	bottom: 20px;
	opacity: 0;
	z-index: 1;
}

.slide.active {
	flex: 4;
}

.slide.active p {
	width: 500px;
	opacity: 1;
	transition: opacity 1.7s ease;
}

.info-text-be-speeker {
	padding-top: 100px;
	font-size: 30px;
	margin-bottom: 80px;
}

.info-text-be-speeker h1 {
	margin: 0;
}

.info-text-be-speeker h1 a {
	color: #75b8ff;
	text-decoration: underline;
}

.list-of-speekers {
	display: flex;
}

.speaker {
	display: flex;
	align-items: end;
	height: 117px;
	align-items: flex-start;
	flex-direction: column;
	margin-right: 200px;
}

.block-speakers {
	display: flex;
	align-items: center;
	width: 270px;
	border-top: solid 1px black;
	border-bottom: solid 1px black;
	padding: 10px 0;
}

.block-avatar-of-speeker {
	display: flex;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	border-radius: 50%;
	height: 67px;
	width: 67px;
	margin-right: 33px;
}

.avatar-of-speakers {
	border-radius: 50%;
}

.information-about-speaker {
	display: flex;
	flex-direction: column;
	height: 130px;
}

.name-and-theme-of-speaker {
	height: 70px;
}

.name-and-theme-of-speaker p {
	font-size: 14px;
	margin-bottom: 10px;
}

.time-day-available-place {
	width: 156px;
	display: flex;
	flex-wrap: wrap;
}

.time-day-available-place p {
	color: #fff;
	border-radius: 20px;
	font-size: 14px;
	font-weight: 500;
	background: #a58dff;
	margin: 3px;
	text-align: center;
	padding: 2px 7px;
}

.phone-registration {
	align-items: center;
}

.phone-registration p {
	margin-left: 10px;
	font-size: 18px;
	font-weight: 700;
	flex-wrap: wrap;
}

.phone-number {
	display: flex;
}
